<?php

require_once("../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion
require_once("../includes/funciones_generales.php");
if (!comprobar_sesion()) {
    $ar = array();
    $ar['error'] = 'session';
    echo json_encode($ar);
    exit;
}
$responce["succes"] = TRUE;
$responce["error"] = 0;
if (isset($_POST['dts'])) {
    require_once("../includes/MySQL.php");
    $dts = $_POST['dts'];
    $academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));

    //aprobo = 'aprobo',  observaciones = 'observaciones'
    $cont = 0;
    $cad = "";
    foreach ($dts as $r) {
        $cad.=$r['id'] . "^";
        $ban = 0;
        if (!empty($r["estado"])) {
            $cad.=(int) $r["estado"] . '^';
        } else {
            $cad.='_^';
        }
 
        if (!empty($r["observa"])) {
            $cad.=$academia->escapar($r["observa"]);
        } else {
            if (isset($r["observa"])) {
                $cad.='';
            } else {
                $cad.='_';
            }
        }
        $cad.="|";
        $cont++;
    }
    $sql = "CALL SP_APRUEBA_ESTUDIANTES('$cad')";
    $responce["sq"][] = $sql;
    $academia->instruccion($sql);
    if ($academia->extraer_error() > 0) {
        $responce["error"] = $academia->extraer_error();
    }
    $academia->cerrar();
}
echo json_encode($responce);
?>